コンテンツへスキップ

Hunyuan3d V3 · Image to 3D

統合

モデルID hunyuan3d-v3/image-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.375 375 APIクレジット · ≈ ₽40.24 実行前にファイルを計測します このページで実行

APIキーを取得
Tencent 画像から3D

Hunyuan3D V3の画像から3Dへの変換。任意の背面・左・右視点、PBR、ローポリモードに対応

Tencent · 3D

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須
ファイルをドロップ、または

3D モデル生成に使用する画像 URL です。

ファイルをドロップ、または

3D 再構成を改善するために任意で指定する背面画像 URL です。

ファイルをドロップ、または

3D 再構成を改善するために任意で指定する左側面画像 URL です。

ファイルをドロップ、または

3D 再構成を改善するために任意で指定する右側面画像 URL です。

generate_type デフォルト Normal

生成モード。`Normal` はテクスチャ付きモデル、`LowPoly` はポリゴン数を減らしたモデル、`Geometry` はテクスチャのない白いモデルを生成します。

デフォルト 500000

面の希望数。40,000~1,500,000 の範囲です。

詳細設定 polygon_type · enable_safety_checker
polygon_type デフォルト triangle

ポリゴンの種類。`GenerateType` が `LowPoly` の場合のみ適用されます。

POST /run/hunyuan3d-v3/image-to-3d?wait=20 見積もり → $0.375
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Hunyuan3d V3 · Image to 3Dについて

`input_image_url`から3Dモデルを生成します。任意の`back_image_url`、`left_image_url`、`right_image_url`を追加して再構成を改善できます。`generate_type`でNormal、LowPoly、またはGeometry(テクスチャなし)を選択し、LowPolyでは`polygon_type`で三角形または四角形を指定します。`enable_pbr`でPBRマテリアルを追加し、`face_count`は40000〜1500000です。GLB、その他の形式のURL、サムネイルを返します。

パラメータ

名前型 デフォルト許可される値 説明
input_image_url必須
型url · image
3D モデル生成に使用する画像 URL です。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
back_image_url任意
型url · image
3D 再構成を改善するために任意で指定する背面画像 URL です。
left_image_url任意
型url · image
3D 再構成を改善するために任意で指定する左側面画像 URL です。
right_image_url任意
型url · image
3D 再構成を改善するために任意で指定する右側面画像 URL です。
enable_pbr任意
型boolean
デフォルトfalse
PBR マテリアルを生成します。ただし generate_type が Geometry の場合、この設定は無効です。
face_count任意
型integer
デフォルト500000
40,000 – 1,500,000
面の希望数。40,000~1,500,000 の範囲です。
generate_type任意
型enum
デフォルトNormal
NormalLowPolyGeometry
生成モード。`Normal` はテクスチャ付きモデル、`LowPoly` はポリゴン数を減らしたモデル、`Geometry` はテクスチャのない白いモデルを生成します。
polygon_type任意
型enum
デフォルトtriangle
trianglequadrilateral
ポリゴンの種類。`GenerateType` が `LowPoly` の場合のみ適用されます。
必須

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan3d-v3/image-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 375,
    "usd": "0.375",
    "charged": 375,
    "refunded": 0
  },
  "input": {
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
model_glb
object {url, content_type, file_name, file_size}生成された3Dオブジェクトを含むGLBファイル。
thumbnail
object {url, content_type, file_name, file_size} | null生成モデルのプレビューを示すサムネイル。
model_urls
object {glb, fbx, obj, usdz}各種形式の3Dモデルへのリンク。
seed
integer | null生成時に使用するシード値。

その他のモデル: 画像から3D

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/hunyuan3d-v3/image-to-3d.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt